Bug 834148 - Video resolution changes after suspend
Video resolution changes after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 21:19 EDT by andre celere
Modified: 2013-07-31 13:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:46:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
described above (90.00 KB, application/octet-stream)
2012-06-20 21:19 EDT, andre celere
no flags Details
dmesg after booting (73.03 KB, text/plain)
2012-10-02 23:37 EDT, Robert
no flags Details
dmesg after suspend (6.85 KB, text/plain)
2012-10-02 23:38 EDT, Robert
no flags Details
xorg log (48.41 KB, text/x-log)
2012-10-02 23:39 EDT, Robert
no flags Details

  None (edit)
Description andre celere 2012-06-20 21:19:32 EDT
Created attachment 593334 [details]
described above

Description of problem:
After booting, everything is OK, with screen resolution at 1440x900. Put the computer on suspend mode. Then wake it up. When it finishes waking-up, the screen resolution is changed to a smaller resolution setting (I could not write down the resolution, when you select "System Settings>Display", it automatically goes to the original resolution).

Version-Release number of selected component (if applicable):


How reproducible:
everytime I put the computer in "suspend" mode


Steps to Reproduce:
1.boot
2.suspend
3.wake-up
  
Actual results:
screen resolution changes

Expected results:
screen resolution stays the same as before going to suspend mode

Additional info: 
attached are 4 files
01_fresh_boot >> /var/log/messages just after boot
02_after_suspend >> /var/log/messages right after wake-up, after suspend, still with "wrong" resolution
03_after_readjust_display >> self explain
04_smolt_output >> system profile


Similar to these 2 previously filed bugs:
Bug 693406 - Incorrect screen resolution and rendering of desktop content after waking up from sleep

Bug 737963 - Incorrect screen resolution and rendering of desktop content after waking up from sleep
Comment 1 Robert 2012-10-02 23:34:55 EDT
I have this problem with all 3.5. kernels with a viewsonic 1440x900. I'm still running 3.4.6-2 which doesn't have this problem. 

only two 4:3 resolutions are available after suspend 1024x768 and 800x600.

attaching dmesg from a clean boot and post suspend plus the xorg log.
Comment 2 Robert 2012-10-02 23:37:44 EDT
Created attachment 620607 [details]
dmesg after booting
Comment 3 Robert 2012-10-02 23:38:31 EDT
Created attachment 620608 [details]
dmesg after suspend
Comment 4 Robert 2012-10-02 23:39:15 EDT
Created attachment 620609 [details]
xorg log

last line added after suspend I think.
Comment 5 Robert 2012-10-10 21:43:45 EDT
seems fixed in the latest kernel?
Comment 6 Fedora End Of Life 2013-07-03 15:23:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 13:46:51 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.